gnutls_x509_privkey_fix(3)

NAME
gnutls_x509_privkey_fix - This function will recalculate some parameters of the key.

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_fix(gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_privkey_t key
    Holds the key

DESCRIPTION
This function will recalculate the secondary parameters in a key. In RSA keys, this can be the coefficient and exponent1,2.

RETURN VALUE
In case of failure a negative value will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.